VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest Class Reference

`Proxy.ProxyConfigTest` class Structure that defines proxy configuration. More...

List of all members.

## Public Member Functions
| ProxyConfigTest ()
| Creates a default new instance.
vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol | GetProtocol ()
| protocol being configured.
void | SetProtocol (vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol protocol)
| protocol being configured.
string | GetServer ()
| hostname or ip of proxy server
void | SetServer (string server)
| hostname or ip of proxy server
long | GetPort ()
| port to connect to the proxy server on.
void | SetPort (long port)
| port to connect to the proxy server on.
string | GetUsername ()
| username for proxy server.
void | SetUsername (string username)
| username for proxy server.
char[] | GetPassword ()
| password for proxy server.
void | SetPassword (char[] password)
| password for proxy server.
string | GetTesthost ()
| Verify that a hostname (www.vmware.com) or IPv4 or Ipv6 address of the testhost is accessible through proxy.
void | SetTesthost (string testhost)
| Verify that a hostname (www.vmware.com) or IPv4 or Ipv6 address of the testhost is accessible through proxy.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Proxy.ProxyConfigTest` class Structure that defines proxy configuration.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::ProxyConfigTest | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetHashCode | ( |  | ) | `[inline]`

char [] vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetPassword | ( |  | ) | `[inline]`

password for proxy server.

long vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetPort | ( |  | ) | `[inline]`

port to connect to the proxy server on.

A value of -1 indicates that the default port is being used.

vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetProtocol | ( |  | ) | `[inline]`

protocol being configured.

string vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetServer | ( |  | ) | `[inline]`

hostname or ip of proxy server

string vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetTesthost | ( |  | ) | `[inline]`

Verify that a hostname (www.vmware.com) or IPv4 or Ipv6 address of the testhost is accessible through proxy.

string vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::GetUsername | ( |  | ) | `[inline]`

username for proxy server.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::SetPassword | ( | char[] | password | ) | `[inline]`

password for proxy server.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::SetPort | ( | long | port | ) | `[inline]`

port to connect to the proxy server on.

A value of -1 indicates that the default port is being used.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::SetProtocol | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol | protocol | ) | `[inline]`

protocol being configured.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::SetServer | ( | string | server | ) | `[inline]`

hostname or ip of proxy server

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::SetTesthost | ( | string | testhost | ) | `[inline]`

Verify that a hostname (www.vmware.com) or IPv4 or Ipv6 address of the testhost is accessible through proxy.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::SetUsername | ( | string | username | ) | `[inline]`

username for proxy server.

override string vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigTest::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ProxyTypes.cs